Package nl.tudelft.simulation.dsol.animation.gis

## Enum MapUnits

- java.lang.Object
- - java.lang.Enum<MapUnits>
  - - nl.tudelft.simulation.dsol.animation.gis.MapUnits

All Implemented Interfaces:
  `Serializable`, `Comparable<MapUnits>`

    public enum MapUnits
    extends Enum<MapUnits>

MapUnits indicates the units for a map.

Copyright (c) 2020-2021 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck

### Enum Constant Summary

Enum Constants
`DECIMAL_DEGREES` DECIMAL DEGREES constant.
`FEET` FEET constant.
`INCHES` INCHES constant.
`KILOMETERS` KILOMETERS constant.
`METERS` METERS constant.
`MILES` MILES constant.

### Method Summary

All Methods Static Methods Concrete Methods
`static MapUnits` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static MapUnits[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FEET

    public static final MapUnits FEET

FEET constant.

#### INCHES

    public static final MapUnits INCHES

INCHES constant.

#### KILOMETERS

    public static final MapUnits KILOMETERS

KILOMETERS constant.

#### METERS

    public static final MapUnits METERS

METERS constant.

#### MILES

    public static final MapUnits MILES

MILES constant.

#### DECIMAL_DEGREES

    public static final MapUnits DECIMAL_DEGREES

DECIMAL DEGREES constant. A decimal degree is 1/100 of the earth circumference.

### Method Detail

#### values

    public static MapUnits[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MapUnits c : MapUnits.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MapUnits valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null